RNAlib-2.1.8

- Main Page
- Related Pages
- Modules
- Data Structures
- Files

- Data Structures
- Data Structure Index
- Data Fields

Data Fields
pf_paramT Struct Reference

The datastructure that contains temperature scaled Boltzmann weights of the energy parameters. More...

Collaboration diagram for pf_paramT:
[legend]

## Data Fields

double | pf_scale
| Scaling factor to avoid over-/underflows.
double | temperature
| Temperature used for loop contribution scaling.
double | alpha
| Scaling factor for the thermodynamic temperature.
model_detailsT | model_details
| Model details to be used in the recursions.

## Detailed Description

The datastructure that contains temperature scaled Boltzmann weights of the energy parameters.

## Field Documentation

double pf_paramT::alpha

Scaling factor for the thermodynamic temperature.

This allows for temperature scaling in Boltzmann factors independently from the energy contributions. The resulting Boltzmann factors are then computed by

The documentation for this struct was generated from the following file:

- /home/mescalin/www/tbi/htdocs/RNA/ViennaRNA/H/data_structures.h